Subject: Re: [PATCH] checkout: indicate when a detached head is checked out for a branch

From: Junio C Hamano <[email-masked]>
Date: Fri, 18 Jul 2014 15:18:38 -0700

Dennis Kaarsemaker <[email-masked]> writes:

> My use case for this is checking out the same branch (or commit, so
> already on a detached HEAD) in multiple different places to run
> independent actions (e.g. make test with different compiler options, or
> creating several different packages) and I would really appreciate it if
> that would keep working.

I do not have any problem if multiple working trees have the same
commit checked out on their own detached HEADs at all.  The "should
error out" was solely for the case where the user asked not to detach
but to obtain a state where a named branch is checked out.  In such
a case, the command should not turn it into a detached HEAD, with or
without a warning.